GHNManagerServicePlugin (GHN Manager CL 1.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.vremanagement.ghnmanager.client.plugins
Class GHNManagerServicePlugin

    java.lang.Object
      org.gcube.common.vremanagement.ghnmanager.client.plugins.AbstractPlugin<GHNManagerServiceJAXWSStubs,GHNManagerLibrary>
          org.gcube.common.vremanagement.ghnmanager.client.plugins.GHNManagerServicePlugin

All Implemented Interfaces:
  org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,GHNManagerServiceJAXWSStubs,GHNManagerLibrary>, org.gcube.common.clients.fw.plugin.Plugin<GHNManagerServiceJAXWSStubs,GHNManagerLibrary>

    public class GHNManagerServicePlugin

extends AbstractPlugin<GHNManagerServiceJAXWSStubs,GHNManagerLibrary>

Author:
  andrea

Field Summary

Fields inherited from class org.gcube.common.vremanagement.ghnmanager.client.plugins.AbstractPlugin
`name`

Constructor Summary
`GHNManagerServicePlugin()`

Method Summary
`Exception` | `convert(Exception arg0, org.gcube.common.clients.config.ProxyConfig<?,?> arg1)`
`GHNManagerLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<GHNManagerServiceJAXWSStubs> delegate)`
`GHNManagerServiceJAXWSStubs` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

Methods inherited from class org.gcube.common.vremanagement.ghnmanager.client.plugins.AbstractPlugin
`name, namespace, serviceClass, serviceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GHNManagerServicePlugin

    public GHNManagerServicePlugin()

Method Detail

### resolve

    public GHNManagerServiceJAXWSStubs resolve(EndpointReference address,
                                               org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                        throws Exception

  Throws:
    `Exception`

### newProxy

    public GHNManagerLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<GHNManagerServiceJAXWSStubs> delegate)

### convert

    public Exception convert(Exception arg0,
                             org.gcube.common.clients.config.ProxyConfig<?,?> arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.